#
# function to fix forecasts
#

AffRev <- function(x){
  # affirm = 1
  # reverse = 0
  AR.mat <- cbind(x$docket, NA, NA, NA, NA, NA, NA, NA,
                  NA, NA, NA, NA, NA)
  colnames(AR.mat) <- c("docket", "rehnaff", "stevaff", "oconaff",
                        "scalaff", "kenaff", "soutaff", "thomaff",
                        "ginaff", "bryaff", "Naff", "Nrev", "courtaff")

  # vote variables are 0=liberal / 1=conservative
  # lctdir is 0=conservative / 1=liberal
  # if they are different, implies affirm
  AR.mat[,2] <- (x$lctdir=="liberal") != (x$rehnpred=="1")
  AR.mat[,3] <- (x$lctdir=="liberal") != (x$stevpred=="1")
  AR.mat[,4] <- (x$lctdir=="liberal") != (x$oconpred=="1")
  AR.mat[,5] <- (x$lctdir=="liberal") != (x$scalpred=="1")
  AR.mat[,6] <- (x$lctdir=="liberal") != (x$kenpred=="1")
  AR.mat[,7] <- (x$lctdir=="liberal") != (x$soutpred=="1")
  AR.mat[,8] <- (x$lctdir=="liberal") != (x$thompred=="1")
  AR.mat[,9] <- (x$lctdir=="liberal") != (x$ginpred=="1")
  AR.mat[,10] <- (x$lctdir=="liberal") != (x$brypred=="1")
  AR.mat[,11] <- apply(AR.mat[,2:10], 1, sum)
  AR.mat[,12] <- 9 - AR.mat[,11]
  AR.mat[,13] <- (x$lctdir=="liberal") != (x$cDirPred=="1")

  AR.mat <- as.data.frame(AR.mat)
  AR.mat$docket <- x$docket

  return(AR.mat)
}

#
# generate forecasts
#
source("done.R")
final <- implementModel(train="training.csv",
test="final5.csv", predsonly=TRUE)

forecasts <- AffRev(final)
options(width=120)
print(forecasts)


